Groovy Documentation

## org.codehaus.groovy.grails.web.converters.configuration
[Java] Class DefaultConverterConfiguration

    java.lang.Object
      org.codehaus.groovy.grails.web.converters.configuration.DefaultConverterConfiguration

All Implemented Interfaces:
  ConverterConfiguration

    @SuppressWarnings("rawtypes")
    public class DefaultConverterConfiguration

Mutable Converter Configuration with an priority sorted set of ObjectMarshallers

Authors:
  Siegfried Puchbauer

Since:
  1.1

Nested Class Summary
`class` | `DefaultConverterConfiguration.Entry`

Field Summary
`static int` | `DEFAULT_PRIORITY`

Constructor Summary
`DefaultConverterConfiguration()`
`DefaultConverterConfiguration(ConverterConfiguration delegate)`
`DefaultConverterConfiguration(ProxyHandler proxyHandler)`
`DefaultConverterConfiguration(ConverterConfiguration delegate, ProxyHandler proxyHandler)`
`DefaultConverterConfiguration(java.util.List oms)`
`DefaultConverterConfiguration(java.util.List oms, ProxyHandler proxyHandler)`

Method Summary
`java.lang.Object` | `getCircularReferenceBehaviour()`
`java.lang.String` | `getEncoding()`
`ObjectMarshaller` | `getMarshaller(java.lang.Object o)`
`java.util.List` | `getOrderedObjectMarshallers()`
`ProxyHandler` | `getProxyHandler()`
`boolean` | `isPrettyPrint()`
`void` | `registerObjectMarshaller(ObjectMarshaller marshaller)`
`void` | `registerObjectMarshaller(ObjectMarshaller marshaller, int priority)`
`void` | `registerObjectMarshaller(java.lang.Class c, int priority, groovy.lang.Closure callable)`
`void` | `registerObjectMarshaller(java.lang.Class c, groovy.lang.Closure callable)`
`void` | `setCircularReferenceBehaviour(java.lang.Object circularReferenceBehaviour)`
`void` | `setEncoding(java.lang.String encoding)`
`void` | `setPrettyPrint(boolean prettyPrint)`

Methods inherited from class java.lang.Object
java.lang.Object#wait(), java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Field Detail

### DEFAULT_PRIORITY

    public static final int DEFAULT_PRIORITY

Constructor Detail

### DefaultConverterConfiguration

    public DefaultConverterConfiguration()

### DefaultConverterConfiguration

    public DefaultConverterConfiguration(ConverterConfiguration delegate)

### DefaultConverterConfiguration

    public DefaultConverterConfiguration(ProxyHandler proxyHandler)

### DefaultConverterConfiguration

    public DefaultConverterConfiguration(ConverterConfiguration delegate, ProxyHandler proxyHandler)

### DefaultConverterConfiguration

    public DefaultConverterConfiguration(java.util.List oms)

### DefaultConverterConfiguration

    public DefaultConverterConfiguration(java.util.List oms, ProxyHandler proxyHandler)

Method Detail

### getCircularReferenceBehaviour

    public java.lang.Object getCircularReferenceBehaviour()

### getEncoding

    public java.lang.String getEncoding()

### getMarshaller

    public ObjectMarshaller getMarshaller(java.lang.Object o)

### getOrderedObjectMarshallers

    public java.util.List getOrderedObjectMarshallers()

### getProxyHandler

    public ProxyHandler getProxyHandler()

### isPrettyPrint

    public boolean isPrettyPrint()

### registerObjectMarshaller

    public void registerObjectMarshaller(ObjectMarshaller marshaller)

### registerObjectMarshaller

    public void registerObjectMarshaller(ObjectMarshaller marshaller, int priority)

### registerObjectMarshaller

    public void registerObjectMarshaller(java.lang.Class c, int priority, groovy.lang.Closure callable)

### registerObjectMarshaller

    public void registerObjectMarshaller(java.lang.Class c, groovy.lang.Closure callable)

### setCircularReferenceBehaviour

    public void setCircularReferenceBehaviour(java.lang.Object circularReferenceBehaviour)

### setEncoding

    public void setEncoding(java.lang.String encoding)

### setPrettyPrint

    public void setPrettyPrint(boolean prettyPrint)

Groovy Documentation